package WordList::CryptoCurrency::Catalog::Symbol;

our $DATE = '2018-01-07'; # DATE
our $VERSION = '20180106'; # VERSION

use WordList;
our @ISA = qw(WordList);

our %STATS = ("num_words_contains_unicode",0,"longest_word_len",13,"num_words_contains_whitespace",0,"num_words_contains_nonword_chars",2,"num_words",1384,"avg_word_len",3.60332369942197,"shortest_word_len",1); # STATS

1;
# ABSTRACT: List of cryptocurrency symbols

=pod

=encoding UTF-8

=head1 NAME

WordList::CryptoCurrency::Catalog::Symbol - List of cryptocurrency symbols

=head1 VERSION

This document describes version 20180106 of WordList::CryptoCurrency::Catalog::Symbol (from Perl distribution WordLists-CryptoCurrency-Catalog), released on 2018-01-07.

=head1 SYNOPSIS

 use WordList::CryptoCurrency::Catalog::Symbol;

 my $wl = WordList::CryptoCurrency::Catalog::Symbol->new;

 # Pick a (or several) random word(s) from the list
 my $word = $wl->pick;
 my @words = $wl->pick(3);

 # Check if a word exists in the list
 if ($wl->word_exists('foo')) { ... }

 # Call a callback for each word
 $wl->each_word(sub { my $word = shift; ... });

 # Get all the words
 my @all_words = $wl->all_words;

=head1 STATISTICS

 +----------------------------------+------------------+
 | key                              | value            |
 +----------------------------------+------------------+
 | avg_word_len                     | 3.60332369942197 |
 | longest_word_len                 | 13               |
 | num_words                        | 1384             |
 | num_words_contains_nonword_chars | 2                |
 | num_words_contains_unicode       | 0                |
 | num_words_contains_whitespace    | 0                |
 | shortest_word_len                | 1                |
 +----------------------------------+------------------+

The statistics is available in the C<%STATS> package variable.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/WordLists-CryptoCurrency-Catalog>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-WordLists-CryptoCurrency-Catalog>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=WordLists-CryptoCurrency-Catalog>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2018 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut

__DATA__
$$$
10MT
1337
1ST
2GIVE
300
42
4CHN
611
808
888
8BIT
9COIN
ABC
ABJ
ABN
ABY
AC
ACC
ACE
ACES
ACN
ACOIN
ACP
ACT
ADA
ADC
ADCN
ADCOIN
ADK
ADL
ADST
ADT
ADX
ADZ
AE
AEON
AERM
AGLC
AGRS
AHT
AI
AIB
AION
AIR
AKY
ALIS
ALL
ALQO
ALT
ALTC
ALTCOM
AMB
AMBER
AMM
AMMO
AMP
AMS
ANC
ANI
ANT
ANTI
ANTX
APC
APW
APX
ARB
ARC
ARCADE
ARCO
ARDR
ARG
ARGUS
ARI
ARK
ARN
ART
ASAFE2
ASN
AST
ASTRO
ATB
ATL
ATM
ATMC
ATMS
ATOM
ATS
ATX
AU
AUR
AV
AVT
AXIOM
B2B
B2X
B3
B@
BAC
BAS
BASH
BAT
BATCOIN
BAY
BBP
BBR
BBT
BCAP
BCC
BCD
BCDN
BCF
BCH
BCN
BCO
BCPT
BCX
BCY
BDL
BELA
BENJI
BERN
BEST
BET
BETACOIN
BGR
BIG
BIGUP
BIOB
BIOS
BIP
BIRDS
BIS
BIT
BITB
BITBTC
BITCF
BITCLAVE
BITCNY
BITEUR
BITGEM
BITGOLD
BITMARK
BITOK
BITS
BITSILVER
BITUSD
BITZ
BIX
BLAS
BLAZR
BLC
BLITZ
BLK
BLN
BLOCK
BLOCKPAY
BLRY
BLU
BLUE
BLX
BLZ
BMC
BNB
BNT
BNTY
BNX
BOAT
BOLI
BON
BOS
BOST
BOT
BPC
BPL
BQ
BRAIN
BRAT
BRD
BRIA
BRIT
BRK
BRO
BRX
BSC
BSD
BSN
BSR
BSTAR
BSTY
BT1
BT2
BTA
BTB
BTBc
BTC
BTC2X
BTCA
BTCD
BTCM
BTCR
BTCRED
BTCS
BTCSILVER
BTCZ
BTDX
BTE
BTG
BTM
BTPL
BTQ
BTS
BTSR
BTU
BTWTY
BTX
BUB
BUCKS
BUMBA
BUN
BURST
BUZZ
BVC
BWK
BXC
BXT
BYC
C2
CAB
CACH
CAG
CALC
CANN
CAPP
CARBON
CASH
CASHPOKERPRO
CASINO
CAT
CATCOIN
CBD
CBX
CC
CCM100
CCN
CCO
CCRB
CCT
CDN
CDT
CESC
CF
CFD
CFI
CFT
CHC
CHEAP
CHESS
CHIPS
CJ
CLAM
CLOAK
CLUB
CME
CMP
CMPCO
CMSETH
CMSXEM
CMT
CND
CNNC
CNO
CNT
CNX
COAL
COB
COLX
COMET
CON
CONX
COR
CORG
COSS
COUPE
COVAL
COXST
CPAY
CPC
CPN
CRAVE
CRB
CRC
CRDNC
CREA
CRED
CREDO
CREVA
CRM
CRT
CRTM
CRW
CRX
CRYPT
CSC
CSNO
CTIC2
CTIC3
CTO
CTR
CTX
CUBE
CUBIT
CURE
CV2
CVC
CVCOIN
CWXT
CXT
CYC
CYDER
CYP
DAI
DALC
DAR
DASH
DASHS
DAT
DATA
DAV
DAXX
DAY
DBC
DBET
DBG
DBIX
DBTC
DCN
DCR
DCRE
DCT
DCY
DDF
DEM
DENT
DES
DEUS
DEW
DFS
DFT
DGB
DGC
DGCS
DGD
DGPT
DIBC
DICE
DIM
DIME
DISK
DIVX
DIX
DLC
DLISK
DLT
DMB
DMC
DMD
DNA
DNR
DNT
DOGE
DOLLAR
DON
DOPE
DOT
DOVU
DP
DPY
DRGN
DRM
DRP
DRS
DRT
DRXNE
DSH
DSR
DTB
DTR
DUB
DUO
DUTCH
DYN
E4ROW
EAC
EAG
EAGLE
EBCH
EBET
EBIT
EBST
EBT
EBTC
ECA
ECASH
ECC
ECN
ECO
ECOB
EDG
EDO
EDR
EDRC
EFL
EFYT
EGAS
EGC
EGG
EGO
EGOLD
EL
ELC
ELE
ELF
ELITE
ELIX
ELLA
ELS
ELTC2
ELTCOIN
EMB
EMC
EMC2
EMD
EMV
ENG
ENJ
ENRG
ENT
ENTCASH
EOS
EOT
EPY
EQT
ERC
ERC20
EREAL
ERO
ERY
ESC
ESP
ETBS
ETC
ETG
ETH
ETHD
ETHOS
ETN
ETP
ETTETH
ETTWAVES
EUC
EUSD
EVC
EVIL
EVO
EVR
EVX
EXCL
EXN
EXP
EXRN
FAIR
FAP
FAZZ
FBL
FC
FC2
FCN
FCT
FDX
FFC
FID
FIL
FIMK
FIRE
FJC
FLAP
FLASH
FLAX
FLDC
FLIK
FLIXX
FLO
FLT
FLVR
FLY
FNC
FONZ
FOR
FRAZ
FRC
FRCT
FRD
FRGC
FRK
FRN
FRST
FRWC
FST
FTC
FUCK
FUDD
FUEL
FUN
FUNC
FUNK
FUTC
FUZZ
FXE
FYN
FYP
G3N
GAIA
GAIN
GAM
GAME
GAME2
GAP
GARY
GAS
GAY
GB
GBC
GBG
GBRC
GBT
GBX
GBYTE
GCC
GCN
GCR
GEERT
GEO
GIM
GLC
GLD
GLS
GLT
GML
GMT
GMX
GNO
GNT
GNX
GOLF
GOLOS
GOOD
GP
GPL
GPU
GRC
GRE
GRID
GRIM
GRN
GRS
GRT
GRWI
GRX
GSR
GTC
GTO
GUC
GUCCIONE
GUN
GUP
GVT
GXS
HAL
HALLO
HAT
HBC
HBN
HBT
HCC
HDG
HDLB
HEAT
HERO
HGT
HIGH
HMC
HMP
HMQ
HNC
HODL
HOLD
HONEY
HPC
HPY
HSR
HST
HTC
HTML
HTML5
HUC
HUNCOIN
HUSH
HVCO
HVN
HWC
HXX
HYP
HYPER
HYTV
I0C
IBANK
IBTC
ICE
ICN
ICOB
ICOIN
ICON
ICOO
ICOS
ICX
IETH
IFC
IFLT
IFT
IGNIS
IMPS
IMS
IMX
INCNT
IND
INDIA
INF
INFX
INK
INN
INPAY
INSN
INTLDIAMOND
INXT
IOC
ION
IOP
IPY
IQT
IRL
ISL
ITC
ITI
ITNS
ITT
ITZ
IVZ
IXC
IXT
J
JET
JIN
JINN
JNS
JOBS
JS
JWL
KARMA
KASHH
KAYI
KBR
KCS
KED
KEK
KICK
KIN
KINGN
KLC
KLN
KMD
KNC
KOBO
KORE
KRB
KRONE
KURT
KUSH
LA
LANA
LAZ
LBC
LBTC
LCP
LDCN
LDOGE
LEA
LEND
LEO
LEPEN
LEX
LGD
LIFE
LIGHTNINGBTC
LINDA
LINK
LINX
LIR
LKC
LKK
LLT
LMC
LNK
LOC
LOG
LOT
LRC
LSK
LTB
LTC
LTCR
LTCU
LTG
LTH
LUN
LUNA
LUX
LVPS
MAC
MAD
MAG
MAGE
MAGN
MAID
MANA
MAO
MAR
MARS
MARX
MAVRO
MAX
MAY
MBI
MBL
MBRS
MCAP
MCI
MCO
MCR
MCRN
MDA
MDC
MDS
MEC
MED
MEME
MEN
MEOW
MER
METAL
MGC
MGM
MGO
MILO
MINEX
MINT
MIOTA
MKR
MLN
MMXVI
MNC
MND
MNE
MNM
MNX
MOD
MOIN
MOJO
MONA
MONETA
MONEY
MONK
MOON
MOT
MOTO
MRJA
MRNG
MRT
MSCN
MSD
MSP
MST
MTH
MTL
MTLMC3
MTM
MTNC
MTX
MUE
MUSIC
MUT
MXT
MYB
MYST
MZC
NAMO
NANOX
NAS
NAV
NBIT
NDC
NEBL
NEO
NEOG
NEOS
NET
NETCOIN
NETKO
NEU
NEVA
NEWB
NGC
NIO
NKA
NLC2
NLG
NMC
NMR
NOBL
NODC
NOTE
NRO
NSR
NTC
NTO
NTRN
NTWK
NUKO
NULS
NVC
NVST
NXC
NXS
NXT
NYAN
NYC
OAX
OBITS
OCEAN
OCL
OCOW
OCT
ODN
OFF
OK
OMC
OMG
OMNI
ONG
ONION
ONX
OP
OPAL
OPES
OPT
ORB
ORLY
ORME
OS76
OTN
OTX
OX
OXY
P7C
PAC
PAK
PART
PASC
PASL
PAY
PAYP
PAYX
PBL
PBT
PCN
PCOIN
PCS
PDC
PDG
PEC
PEPECASH
PEX
PFR
PGL
PHO
PHR
PHS
PIE
PIGGY
PING
PINK
PIPL
PIRL
PIVX
PIX
PIZZA
PKB
PKT
PLACO
PLAY
PLBT
PLC
PLNC
PLR
PLU
PLX
PND
PNX
POE
POKE
POLL
PONZI
POP
POS
POST
POSW
POT
POWR
PPC
PPP
PPT
PPY
PR
PRC
PRE
PRES
PRG
PRIMU
PRIX
PRL
PRM
PRN
PRO
PROCHAIN
PROCURRENCY
PRX
PST
PSY
PTC
PTOY
PULSE
PURA
PURE
PUT
PX
PXC
PXI
PYLNT
PZM
Q2C
QASH
QAU
QBC
QBK
QBT
QC
QCN
QLC
QORA
QRK
QRL
QSP
QTL
QTUM
QVT
QWARK
R
RADS
RAIN
RBBT
RBIES
RBT
RBX
RBY
RC
RCN
RCOIN
RDD
RDN
REAL
REC
RED
REE
REGA
REMI
REP
REQ
REX
RHFC
RHOC
RIC
RICHX
RIDE
RISE
RIYA
RKC
RLC
RLT
RMC
RNS
ROC
ROOFS
ROYAL
RPC
RPX
RSGP
RUBIT
RUNNERS
RUP
RUPX
RUPXOLD
RUSTBITS
RVT
RYZ
SAC
SAFEX
SAGA
SAK
SALT
SAN
SANDG
SBC
SBD
SBTC
SC
SCL
SCORE
SCRT
SCS
SCT
SDC
SDP
SDRN
SEND
SEQ
SFC
SFE
SGR
SH
SHA
SHDW
SHELL
SHIFT
SHND
SHORTY
SIB
SIFT
SIGMA
SIGT
SISA
SJCX
SKC
SKIN
SKR
SKULL
SKY
SLEVIN
SLFI
SLG
SLING
SLR
SLS
SMART
SMARTBILLIONS
SMC
SMLY
SMT
SNAKE
SNC
SND
SNGLS
SNM
SNOV
SNRG
SNT
SOAR
SOCC
SOIL
SOJ
SONG
SOON
SPACE
SPANK
SPEX
SPF
SPHR
SPHTX
SPORT
SPR
SPRTS
SPT
SRC
SRN
SSS
ST
STA
STAK
STAR
STARS
START
STC
STEEM
STEPS
STEX
STORJ
STORM
STRAT
STRC
STS
STU
STV
STX
SUB
SUMO
SUPER
SUR
SWIFT
SWING
SWP
SWT
SXC
SYNX
SYS
TAAS
TAG
TAGR
TAJ
TALK
TCC
TCOIN
TCR
TEAM
TEK
TELL
TER
TERA
TES
TESLA
TFL
TGC
TGT
THC
THS
TIE
TIME
TIPS
TIT
TIX
TKN
TKR
TKS
TLE
TNB
TNT
TOA
TODAY
TOK
TOKEN
TOP
TOPAZ
TOR
TRC
TRCT
TRDT
TRI
TRIA
TRICK
TRIG
TRK
TROLL
TRST
TRUMP
TRUST
TRX
TSE
TSL
TSTR
TTC
TURBO
TX
TYCHO
TZC
UAHPAY
UBQ
UBTC
UET
UFO
UFR
UGT
UIS
UKG
ULA
UNB
UNC
UNI
UNIC
UNIFY
UNIT
UNITS
UNITY
UNO
UNRC
UNY
UQC
UR
URC
URO
USC
USDE
USDT
USNBT
UTA
UTC
UTK
V
VAL
VASH
VC
VEC2
VEE
VEN
VERI
VIA
VIB
VIBE
VIDZ
VIP
VISIO
VIU
VIVO
VLT
VLTC
VOISE
VOLT
VOT
VOX
VOYA
VPRC
VRC
VRM
VRS
VSL
VSX
VTA
VTC
VTR
VUC
VULC
WA
WABI
WAND
WARP
WAVES
WAX
WAY
WBB
WC
WCT
WDC
WGO
WGR
WHL
WIC
WILD
WINGS
WINK
WISH
WMC
WOMEN
WORM
WOW
WRC
WSX
WTC
WTT
WYV
X2
XAS
XAU
XAUR
XBC
XBL
XBTC21
XBTS
XBY
XCN
XCO
XCP
XCPO
XCRE
XCS
XCT
XCXT
XDE2
XDN
XEL
XEM
XFT
XGOX
XGR
XHI
XID
XIN
XIOS
XJO
XLC
XLM
XLR
XMCC
XMG
XMR
XMY
XNG
XNN
XOC
XOT
XP
XPA
XPD
XPM
XPTX
XPY
XQN
XRA
XRB
XRC
XRE
XRL
XRP
XRY
XSH
XSPEC
XST
XSTC
XTD
XTO
XTZ
XUC
XVC
XVE
XVG
XVP
XWC
XYLO
XZC
YAC
YASH
YEL
YES
YOC
YOYOW
YTN
ZBC
ZCG
ZCL
ZEC
ZEIT
ZEN
ZENGOLD
ZENI
ZEPH
ZER
ZET
ZMC
ZNE
ZNY
ZOI
ZRC
ZRX
ZSC
ZSE
ZUR
ZYD
ZZC
